Subject: [PATCH 0/8] Armada XP pinctrl consolidation and ix4-300d fixes

From: [email-masked] (Andrew Lunn)
Date: Wed, 15 Oct 2014 16:41:23 +0200

> > All the 3 branch works WHEN APPLYING A0 patch (below), with both my custom kernel config and the arch/arm/configs/mvebu_v7_defconfig
> Just one thing though, one of my cron behavior change with 3.17, when I use the cmd  "/sbin/hwclock --adjust -f /dev/rtc1" I get this new error I never had before:
> "hwclock: select() to /dev/rtc1 to wait for clock tick timed out: Success"
> 
> where rtc1 if the i2c rtc connected to the i2C bus, can this be related to the i2c patch that would slow down i2c operation or somthing ? 

Hi Benoit

It won't fix your problem, but if the built in RTC is not usable, it
would be good to disable it in the .dts file. The i2c RTC will then
become RTC0.

The actual "error" message is odd:
"hwclock: select() to /dev/rtc1 to wait for clock tick timed out: Success"

Success means it actually worked, not an error. Does the RTC contain
the correct time afterwards?

    Andrew